Get all abstract listing configurations
get
/fscmRestApi/resources/11.13.18.05/procurementBusinessFunctions/{ProcurementBUId}/child/abstractListingConfigurations
Request
Path Parameters
-
ProcurementBUId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the abstract listing configuration with the specified primary key.
Finder Variables- ProcurementBUId; integer; Unique identifier of the business unit for which the configuration is set up.
- PrimaryKey Finds the abstract listing configuration with the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AbstractURL; string; URL used for the abstract listing configuration.
- CompanyName; string; Name of the company in the abstract listing configuration.
- CreatedBy; string; User who created the record.
- CreationDate; string; The date when the buyer or application created the abstract listing configuration for the procurement business unit.
- DateFormat; string; Date format used for the abstract listing configuration.
- DateFormatCode; string; Code that specifies the date format to use.
- DisplayLogoFlag; boolean; Indicates whether the logo is displayed. Contains one of the following values: true or false. If true, then the logo is displayed. If false, then the logo isn't displayed. This attribute doesn't have a default value.
- Language; string; Language of the abstract listing configuration.
- LanguageCode; string; Code that identifies the language for the abstract listing configuration.
- LastUpdateDate; string; The date when the abstract listing configuration was last updated.
- LastUpdatedBy; string; User who last updated the abstract listing configuration.
- LogoHeight; number; Height of the logo in the abstract listing configuration if the display logo option is true.
- LogoLocation; string; Location of the logo if the display logo option is true.
- LogoWidth; number; Width of the logo if the display logo option is true.
- NumberFormat; string; Format used for numbering in the abstract listing configuration.
- NumberFormatCode; string; Code that identifies the number format used for the abstract listing configuration.
- OnlyShowNegotiationsFromThisBUFlag; boolean; Indicates whether only negotiations from this business unit are shown in the abstract listing configuration. Contains one of the following values: true or false. If true, then only negotiations from this business unit are shown. If false, then negotiations from all applicable business units are shown. This attribute doesn't have a default value.
- ProcurementBUId; integer; Unique identifier of the business unit for which the configuration is being set up.
- TimeFormat; string; Time format used for the abstract listing configuration.
- TimeFormatCode; string; Code that specifies the time format in the abstract listing configuration.
- Timezone; string; Time zone for the abstract listing configuration.
- TimezoneCode; string; Code that identifies the time zone in the abstract listing configuration.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : procurementBusinessFunctions-abstractListingConfigurations
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : procurementBusinessFunctions-abstractListingConfigurations-item-response
Type:
Show Source
object-
AbstractURL: string
Read Only:
trueMaximum Length:2000URL used for the abstract listing configuration. -
CompanyName: string
Maximum Length:
50Name of the company in the abstract listing configuration. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64User who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date when the buyer or application created the abstract listing configuration for the procurement business unit. -
DateFormat: string
Maximum Length:
255Date format used for the abstract listing configuration. -
DateFormatCode: string
Maximum Length:
30Code that specifies the date format to use. -
DisplayLogoFlag: boolean
Title:
Display LogoMaximum Length:1Indicates whether the logo is displayed. Contains one of the following values: true or false. If true, then the logo is displayed. If false, then the logo isn't displayed. This attribute doesn't have a default value. - FooterContent: string (byte)
-
HeaderContent: string
(byte)
Title:
Header ContentContent used in the header of the abstract listing configuration. -
Language: string
Title:
LanguageMaximum Length:255Language of the abstract listing configuration. -
LanguageCode: string
Title:
LanguageMaximum Length:4Code that identifies the language for the abstract listing configuration. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date when the abstract listing configuration was last updated. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64User who last updated the abstract listing configuration. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LogoHeight: number
Height of the logo in the abstract listing configuration if the display logo option is true.
-
LogoLocation: string
Title:
Logo URLMaximum Length:240Location of the logo if the display logo option is true. -
LogoWidth: number
Width of the logo if the display logo option is true.
-
NumberFormat: string
Maximum Length:
255Format used for numbering in the abstract listing configuration. -
NumberFormatCode: string
Maximum Length:
30Code that identifies the number format used for the abstract listing configuration. -
OnlyShowNegotiationsFromThisBUFlag: boolean
Title:
Only show negotiations from this BUMaximum Length:1Indicates whether only negotiations from this business unit are shown in the abstract listing configuration. Contains one of the following values: true or false. If true, then only negotiations from this business unit are shown. If false, then negotiations from all applicable business units are shown. This attribute doesn't have a default value. -
ProcurementBUId: integer
(int64)
Title:
Procurement BUUnique identifier of the business unit for which the configuration is being set up. -
TimeFormat: string
Maximum Length:
255Time format used for the abstract listing configuration. -
TimeFormatCode: string
Maximum Length:
30Code that specifies the time format in the abstract listing configuration. -
Timezone: string
Maximum Length:
255Time zone for the abstract listing configuration. -
TimezoneCode: string
Maximum Length:
50Code that identifies the time zone in the abstract listing configuration.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.